DRM_RECT_ROTATE_INV(9)

NAME
drm_rect_rotate_inv - Inverse rotate the rectangle

SYNOPSIS

void drm_rect_rotate_inv(struct drm_rect * r, int width, int height, unsigned int rotation);

ARGUMENTS

r
    rectangle to be rotated

width
    Width of the coordinate space

height
    Height of the coordinate space

rotation
    Transformation whose inverse is to be applied

DESCRIPTION

Apply the inverse of rotation to the coordinates of rectangle r.

width and height combined with rotation define the location of the new origin.

width correcsponds to the horizontal and height to the vertical axis of the original untransformed coordinate space, so that you never have to flip them when doing a rotatation and its inverse. That is, if you do:

drm_rotate(r, width, height, rotation); drm_rotate_inv(r, width, height, rotation);

you will always get back the original rectangle.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT